Bug 729854 - record kernel modules in inventory
Summary: record kernel modules in inventory
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Community
Component: inventory
Version: 0.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 04:02 UTC by Dan Callaghan
Modified: 2011-08-18 04:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 04:21:36 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2011-08-11 04:02:11 UTC
Since commit 7f551ac1 (version 0.5.61 in November 2010) Beaker has not allowed key-value searches for MODULE, to prevent users from accidentally triggering a very expensive MySQL query (see bug 590723). This is an RFE to add a proper database table for kernel modules as an alternative to the MODULE key.

Comment 1 Bill Peck 2011-08-15 21:10:08 UTC
I wonder if we should track kernel modules at all.  They are different depending on the release of the os, even between different releases..  

I agree if do support this type of search that it should be in a proper table though.

Comment 2 Steven Lawrance 2011-08-15 23:54:09 UTC
(In reply to comment #1)
> I wonder if we should track kernel modules at all.  They are different
> depending on the release of the os, even between different releases..  

I imagine this is required because a particular module may be a driver for a potentially very long list of devices and the user may not care which one of them is available.

But this means it doesn't necessarily make sense to delete the existing modules when the inventory script is run.  Or at least, not when it is run on a different release (or kernel version?).  So should the table contain release/kernel/distro information?

Comment 3 Dan Callaghan 2011-08-18 04:21:36 UTC
As per discussions with Bill, closing as WONTFIX. Tracking kernel modules is not the best way to go about this, we should use Beaker's existing support for devices.

The web UI already supports searching by device driver (often equal to kernel module name) and PCI-ids. Bug 731615 is for adding the same to job xml.


Note You need to log in before you can comment on or make changes to this bug.